The Spring Framework

## org.springframework.context
Interface ApplicationEventPublisherAware

All Known Implementing Classes:
  EventPublicationInterceptor

    public interface ApplicationEventPublisherAware

Interface to be implemented by any object that wishes to be notified of the ApplicationEventPublisher (typically the ApplicationContext) that it runs in.

Since:
  1.1.1
Author:
  Juergen Hoeller
See Also:
  `ApplicationContextAware`

Method Summary
`void` `setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher)` Set the ApplicationEventPublisher that this object runs in.

Method Detail

### setApplicationEventPublisher

    void setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher)

  Set the ApplicationEventPublisher that this object runs in.

  Invoked after population of normal bean properties but before an init callback like InitializingBean's afterPropertiesSet or a custom init-method. Invoked before ApplicationContextAware's setApplicationContext.

  Parameters:
    `applicationEventPublisher` - event publisher to be used by this object

The Spring Framework

Copyright © 2002-2008 The Spring Framework.